%% PRSS 2003
    clear;
% paras from PRSS
    load PRSS.mat; % to get initial values and parameter values of the initial PRSS
    diary ('GE_PRSS_growth.txt'); diary on; tic;
    for k = 1:K; fprintf('solve_GE: productivity of skill-type %g: %g and cost of vacancy: %g\n',k, VarData(2,k),gamma(k)); end;
    
%% search for GE
    VarData_initial = VarData;
    xiUA = InvData(16); VarData(11,:) = xiUA * VarData(1,1:K); InvData(17) = 1; % take PRSS through setting the 'round' value = 1
% initial conditions    
    wage0 = VarData(1,1:K); theta0 = VarData(7,1:K); y0 = [wage0,theta0];
% flags
	AwFlag = 2; % block 2 is solved for wk theta and kappa
    ChoiceVarData = 1; % 1 - gives the real variable data, 2 - data for testing the monotonicity

% start fsolve
    matlabpool open local 6;
    [wTheta,preci,exitflagBlock2] = fsolve('block2',y0,optimset('Display','iter'),InvData,VarData,K);
    matlabpool close;
    
    wage = wTheta(1:K); theta = wTheta(K+1:2*K);    
    VarData(1,1:K) = wage; VarData(7,1:K) = theta; % save results in VarData such that it is used e.g. in block 1 below
    
    disp('GE solved for pre Hartz III: 2003');
    for k = 1:K; fprintf('solve_GE: wage of worker-type k = %g (at productivity: %g)\n', wage(k),VarData(2,k)); end;
    fprintf('solve_GE: tightness (theta): %g\n', theta);    disp(' ');
    fprintf('solve_GE: precision of fsolve: %g\n',preci);   disp(' ');
    fprintf('exitflag of block2: %g\n',exitflagBlock2);     disp(' ');
    
% compute corresponding block 1 values
    [employmentVector,UshortVector,UlongVector,mueIniVector,effortIniVector,mueBarVector,V0,Vbs,Vw,EU] = KtimesBlock1(InvData,VarData,K);

% complete block 2
    lambda = VarData(6,:); xiUI = VarData(8); xiUA = InvData(16);
    
    kappa = taxrate(wage,employmentVector,xiUI,UshortVector,xiUA,UlongVector);	disp('kappa');  disp(kappa);
	J = (A - wage/(1-kappa))./(rho + lambda);                                   disp('J');      disp(J);
    
% save all
    save GE.mat; clear;


%% PRSS 2002
% parametrs from the steady state after Hartz III and IV
    load GE.mat;
% starting
    for k = 1:K; fprintf('solve_GE: productivity of skill-type %g: %g and cost of vacancy: %g\n',k, VarData(2,k),gamma(k)); end;
    
%% search for GE
% a) productivity in 2002 relative to 2003
    VarData(2,:) = 0.99134 * VarData(2,:);  A = VarData(2,:);
% initial contidiotns
    wage0 = VarData(1,1:K); theta0 = VarData(7,1:K); y0 = [wage0,theta0];
% flags
	AwFlag = 2; % block 2 is solved for wk theta and kappa
    ChoiceVarData = 1; % 1 - gives the real variable data, 2 - data for testing the monotonicity

% start fsolve
    matlabpool open local 6;
    [wTheta,preci,exitflagBlock2] = fsolve('block2',y0,optimset('Display','iter'),InvData,VarData,K);
    matlabpool close;
    
    wage = wTheta(1:K); theta = wTheta(K+1:2*K);    
    VarData(1,1:K) = wage; VarData(7,1:K) = theta; % save results in VarData such that it is used e.g. in block 1 below
    
    disp('GE solved for pre Hartz III: 2002');
    for k = 1:K; fprintf('solve_GE: wage of worker-type k = %g (at productivity: %g)\n', wage(k),VarData(2,k)); end;
    fprintf('solve_GE: tightness (theta): %g\n', theta);    disp(' ');
    fprintf('solve_GE: precision of fsolve: %g\n',preci);   disp(' ');
    fprintf('exitflag of block2: %g\n',exitflagBlock2);     disp(' ');
    
% compute corresponding block 1 values
    [employmentVector,UshortVector,UlongVector,mueIniVector,effortIniVector,mueBarVector,V0,Vbs,Vw,EU] = KtimesBlock1(InvData,VarData,K);

% complete block 2
    lambda = VarData(6,:); xiUI = VarData(8); xiUA = InvData(16);
    
    kappa = taxrate(wage,employmentVector,xiUI,UshortVector,xiUA,UlongVector);	disp('kappa');  disp(kappa);    
    J = (A - wage/(1-kappa))./(rho + lambda);                                   disp('J');      disp(J);
         
% save all
        save GE_PRSS_gr2002; clear;
    
        
%% PRSS 2001
% parametrs from the steady state after Hartz III and IV
    load GE_PRSS_gr2002.mat;
% starting
    for k = 1:K; fprintf('solve_GE: productivity of skill-type %g: %g and cost of vacancy: %g\n',k, VarData(2,k),gamma(k)); end;
    
%% search for GE
% a) productivity in 2001 relative to 2002
    VarData(2,:) = 0.98612 * VarData(2,:);  A = VarData(2,:);
% initial contidiotns
    wage0 = VarData(1,1:K); theta0 = VarData(7,1:K); y0 = [wage0,theta0];
% flags
	AwFlag = 2; % block 2 is solved for wk theta and kappa
    ChoiceVarData = 1; % 1 - gives the real variable data, 2 - data for testing the monotonicity

% start fsolve
    matlabpool open local 6;
    [wTheta,preci,exitflagBlock2] = fsolve('block2',y0,optimset('Display','iter'),InvData,VarData,K);
    matlabpool close;
    
    wage = wTheta(1:K); theta = wTheta(K+1:2*K);    
    VarData(1,1:K) = wage; VarData(7,1:K) = theta; % save results in VarData such that it is used e.g. in block 1 below
    
    disp('GE solved for pre Hartz III: 2001');
    for k = 1:K; fprintf('solve_GE: wage of worker-type k = %g (at productivity: %g)\n', wage(k),VarData(2,k)); end;
    fprintf('solve_GE: tightness (theta): %g\n', theta);    disp(' ');
    fprintf('solve_GE: precision of fsolve: %g\n',preci);   disp(' ');
    fprintf('exitflag of block2: %g\n',exitflagBlock2);     disp(' ');
    
% compute corresponding block 1 values
    [employmentVector,UshortVector,UlongVector,mueIniVector,effortIniVector,mueBarVector,V0,Vbs,Vw,EU] = KtimesBlock1(InvData,VarData,K);

% complete block 2
    lambda = VarData(6,:); xiUI = VarData(8); xiUA = InvData(16);
    
    kappa = taxrate(wage,employmentVector,xiUI,UshortVector,xiUA,UlongVector);	disp('kappa');  disp(kappa);    
    J = (A - wage/(1-kappa))./(rho + lambda);                                   disp('J');      disp(J);
         
% save all
        save GE_PRSS_gr2001; clear;
    
        
%% PRSS 2000
% parametrs from the steady state after Hartz III and IV
    load GE_PRSS_gr2001.mat;
% starting
    for k = 1:K; fprintf('solve_GE: productivity of skill-type %g: %g and cost of vacancy: %g\n',k, VarData(2,k),gamma(k)); end;
    
%% search for GE
% a) productivity in 2000 relative to 2001
    VarData(2,:) = 0.97580 * VarData(2,:);  A = VarData(2,:);
% initial contidiotns
    wage0 = VarData(1,1:K); theta0 = VarData(7,1:K); y0 = [wage0,theta0];
% flags
	AwFlag = 2; % block 2 is solved for wk theta and kappa
    ChoiceVarData = 1; % 1 - gives the real variable data, 2 - data for testing the monotonicity

% start fsolve
    matlabpool open local 6;
    [wTheta,preci,exitflagBlock2] = fsolve('block2',y0,optimset('Display','iter'),InvData,VarData,K);
    matlabpool close;
    
    wage = wTheta(1:K); theta = wTheta(K+1:2*K);    
    VarData(1,1:K) = wage; VarData(7,1:K) = theta; % save results in VarData such that it is used e.g. in block 1 below
    
    disp('GE solved for pre Hartz III: 2000');
    for k = 1:K; fprintf('solve_GE: wage of worker-type k = %g (at productivity: %g)\n', wage(k),VarData(2,k)); end;
    fprintf('solve_GE: tightness (theta): %g\n', theta);    disp(' ');
    fprintf('solve_GE: precision of fsolve: %g\n',preci);   disp(' ');
    fprintf('exitflag of block2: %g\n',exitflagBlock2);     disp(' ');
    
% compute corresponding block 1 values
    [employmentVector,UshortVector,UlongVector,mueIniVector,effortIniVector,mueBarVector,V0,Vbs,Vw,EU] = KtimesBlock1(InvData,VarData,K);

% complete block 2
    lambda = VarData(6,:); xiUI = VarData(8); xiUA = InvData(16);
    
    kappa = taxrate(wage,employmentVector,xiUI,UshortVector,xiUA,UlongVector);	disp('kappa');  disp(kappa);    
    J = (A - wage/(1-kappa))./(rho + lambda);                                   disp('J');      disp(J);
         
% save all
        save GE_PRSS_gr2000; clear;
    
    
% conclusion    
    toc; if toc>60; fprintf('elapsed time is %g minutes\n',toc/60); end;
    if toc>3600; fprintf('elapsed time is %g hours\n',toc/3600); end;
    
% bye bye
    diary off;