function InvData = InputInvariantData

% paras to describe individual or technology
    alpha	= 0.4203;               
    sigma	= 0.7808;               
    rho     = 0.0020;
	pIni    = 0.5000; 
    gamma   = 0.8;

% economy wide paras
    beta    = 0.5;
    rhoUA   = 0.55; 
%   rhoUI	= 0.65;  wage replacement rate of the unemployment insurance benefits.
  

% shares        
    piHigh	= 0.9228; % piHigh is share of high-productivity searchers
    piPass  = 0.2398; % share of those who pass the means test
    xiUA	= piPass*rhoUA; %wage replacement rate of the unemployment assistance benefits taking into account the share of those passing the means test.

% true macro data        
    growthrate	= 1.1000;

% technical paras
    infinity = 240; % i.e. 240 months -  20 years (ever seen anyone unemployed for more than 20 years?) 
    OneYear  = 12;  % one year has 12 months
    round = 0; % round, needed for comparative static analysis. PRSS is round 0
    
% Hartz III analysis
    psiUI = 1; % this is productivity factor due to Hartz III
    psiUA = 1; % this is employed by mu.m
    
% return 
    %             1     2     3     4    5      6      7      8    9   10       11      12     13       14       15    16     17     18     19
    InvData = [alpha, sigma, rho, pIni, beta, rhoUA, NaN, piHigh, NaN, NaN, growthrate, NaN, infinity, OneYear, gamma, xiUA, round, psiUI, psiUA];
 
end