function VarData = InputVariableData

% structure of DataMatrix with variable paras
%{
VarData    =  1*  wage
              2*  productivity - is computed by solve_PRSS
              3*  size    % headcount
              4*  eta0    % arrival rate (low-prodictive in search)
              5*  eta1    % arrival rate (high-prodictive in search)
              6*  lamda0  % separation rate
              7*  theta
              8*  xiUI   = omega*rhoUI
              9*  sBar % in full months, i.e. 12, 13 ...
             10*  gamma (cost of vacancy) - is computed by solve_PRSS
%}
                
%% types k and estimates

F = 4*10^6; % labour force

%               'E'='east', 'W'='west', 'H'='high-skilled', 'M'='medium-skilled', 'L'='low-skilled'
                
%               W-H         W-M         W-L         E-H         E-M
%               E-L         repr.agent
    VarData =  [1705.40     1117.78     905.04      1535.16     1134.44     843.06      1152.71;
                NaN         NaN         NaN         NaN         NaN         NaN         NaN    ;
                0.1989*F    0.4094*F    0.1688*F    0.0730*F    0.1202*F    0.0297*F    F      ;
                0.0189      0.0224      0.0204      0.0268      0.0360      0.0314      0.0284 ;
                0.0800      0.0948      0.0863      0.1134      0.1525      0.1329      0.1204 ;
                0.0055      0.0080      0.0124      0.0139      0.0203      0.0282      0.0145 ;
                0.5362      0.3120      0.1870      0.1484      0.1068      0.2405      0.2435 ;
                NaN         NaN         NaN         NaN         NaN         NaN         NaN    ;
                15          11          11          12          12          13          12     ;
                NaN         NaN         NaN         NaN         NaN         NaN         NaN   ];
                
    % the following row shows pi^UI
        piUI = [0.3913      0.5068      0.3696      0.6757      0.7023      0.4412      0.5669];
    % compute and save xiUI    
        xiUI = piUI * 0.65;  
        VarData(8,:) = xiUI; % xiUI = pi^UI * rhoUI;  where:  rhoUI = 0.65 (see InvData)
        VarData(7,1:3) = VarData(7,1:3)*0.8579;  VarData(7,4:6) = VarData(7,4:6)*0.7403;  VarData(7,7) = 0.2251;
        
    % message    
        disp('InputVariableData: working with true data. VarData given by:')
        format short g
        disp(VarData)
      
end