function dVbs=Vp(s,Vbs,x,Vw,w,theta,dmx,regime,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,InvData)
% this is the differential equation for the unemployed, V(b(s),s) conditional on th path of eta(s)

    % paras
        rho=x(1); lambda=x(2); eta0=x(3); alpha=x(4); sigma=x(5); eta1=x(6); h=x(13); steps_sbar=x(14); fsolveFlag=x(20);
        
        bUI=dmx(1);  bUA=dmx(2); sBar=dmx(3);
        
    % choose bUI if regime = 1 (short-term unemployed) or bUA if regime = 2 (long-term unemployed)
        if regime == 1; b = bUI; else b = bUA; end;
      
    % subjective time-dependence of the previous step
        eta_s=eta(s,x,theta,sole_sp,dmx);

    % take care of possible differential impact of Hartz 3
        if s > sBar
            psi_s = InvData(19);
        else
            psi_s = InvData(18);
        end    
    
    % differential equation / BE of the unemployed (equation A.5)
        dVbs=rho*Vbs-u(b,sigma,NaN,NaN,NaN)-((1-alpha)/alpha)*((alpha*eta_s*psi_s*(theta^alpha)).^(1/(1-alpha))).*((Vw-Vbs).^(1/(1-alpha)));
end
