#delimit; set more off;

*** Basis specification (Table 1);

* * short-term, ar(1);
clear; use data; keep if year<2009; xtset land year;
cap log close; quietly log using log_indirect_st_basis_xtreg_ar, text replace;

xtregar lnMs lnUs lnV h1 h3 h4 d2005 time time2, lbi; quietly log off;

clear; infile year market psiUI psiUA lnMs lnMl lnUs lnUl lnV h3 using X_1076_1230.raw;
gen t=year-1999; gen t2=t^2; xtset market year; quietly log on;

xtregar lnMs lnUs lnV h3 t t2; quietly log close;

* * long-term, ar(1);
clear; use data; keep if year<2009; xtset land year;
cap log close; quietly log using log_indirect_lt_basis_xtreg_ar, text replace;

xtregar lnMl lnUl lnV h1 h3 h4 d2005 d2006 time, lbi; quietly log off;

clear; infile year market psiUI psiUA lnMs lnMl lnUs lnUl lnV h3 using X_1076_1230.raw;
gen t=year-1999; gen t2=t^2; xtset market year; quietly log on;

xtregar lnMl lnUl lnV h3 t; quietly log close;


*** Sensitivity to specification (Table 3);

* * short-term, white noise;
clear; use data; keep if year<2009; xtset land year;
cap log close; quietly log using log_indirect_st_sense_xtreg, text replace;

xtreg lnMs lnUs lnV h1 h3 h4 d2005 time time2; quietly log off;

clear; infile year market psiUI psiUA lnMs lnMl lnUs lnUl lnV h3 using X_1061_1229.raw;
gen t=year-1999; gen t2=t^2; xtset market year; quietly log on;

xtreg lnMs lnUs lnV h3 t t2; quietly log close;

* * long-term, white noise;
clear; use data; keep if year<2009; xtset land year;
cap log close; quietly log using log_indirect_lt_sense_xtreg, text replace;

xtreg lnMl lnUl lnV h1 h3 h4 d2005 d2006 time; quietly log off;

clear; infile year market psiUI psiUA lnMs lnMl lnUs lnUl lnV h3 using X_1061_1229.raw;
gen t=year-1999; gen t2=t^2; xtset market year; quietly log on;

xtreg lnMl lnUl lnV h3 t; quietly log close;


*** Sensitivity to specification and recession (Table 5);

* * short-term, ar(1);
clear; use data; xtset land year;
cap log close; quietly log using log_indirect_st_sense_xtreg_ar_r, text replace;

xtregar lnMs lnUs lnV h1 h3 h4 d2005 d2009 time time2, lbi; quietly log off;

clear; infile year market psiUI psiUA lnMs lnMl lnUs lnUl lnV h3 using X_1083_1251.raw;
gen t=year-1999; gen t2=t^2; gen d2009=0; replace d2009=1 if year==2009;
xtset market year; quietly log on;

xtregar lnMs lnUs lnV h3 t t2 d2009; quietly log close;

* * long-term, ar(1);
clear; use data; xtset land year;
cap log close; quietly log using log_indirect_lt_sense_xtreg_ar_r, text replace;

xtregar lnMl lnUl lnV h1 h3 h4 d2005 d2006 d2009 time, lbi; quietly log off;

clear; infile year market psiUI psiUA lnMs lnMl lnUs lnUl lnV h3 using X_1083_1251.raw;
gen t=year-1999; gen t2=t^2; gen d2009=0; replace d2009=1 if year==2009;
xtset market year; quietly log on;

xtregar lnMl lnUl lnV h3 t d2009; quietly log close;

* * short-term, white noise;
clear; use data; xtset land year;
cap log close; quietly log using log_indirect_st_sense_xtreg_r, text replace;

xtreg lnMs lnUs lnV h1 h3 h4 d2005 d2009 time time2; quietly log off;

clear; infile year market psiUI psiUA lnMs lnMl lnUs lnUl lnV h3 using X_1081_1271.raw;
gen t=year-1999; gen t2=t^2; gen d2009=0; replace d2009=1 if year==2009;
xtset market year; quietly log on;

xtreg lnMs lnUs lnV h3 t t2 d2009; quietly log close;

* * long-term, white noise;
clear; use data; xtset land year;
cap log close; quietly log using log_indirect_lt_sense_xtreg_r, text replace;

xtreg lnMl lnUl lnV h1 h3 h4 d2005 d2006 d2009 time; quietly log off;

clear; infile year market psiUI psiUA lnMs lnMl lnUs lnUl lnV h3 using X_1081_1271.raw;
gen t=year-1999; gen t2=t^2; gen d2009=0; replace d2009=1 if year==2009;
xtset market year; quietly log on;

xtreg lnMl lnUl lnV h3 t d2009; quietly log close; clear;
