function [V_bUI_0,VbUI_p,VbUA_p,Vw,pInfinity,sole_sp_fin]=block1(InvData,VarData,ins_Vb1s,ins_Vb2s,ins_Vw)

rho=InvData(3); lambda=VarData(6); eta0=VarData(4); alpha=InvData(1); sigma=InvData(2); eta1=VarData(5);
x=[rho;lambda;eta0;alpha;sigma;eta1;NaN*ones(14,1)];

w=VarData(1); sBar=VarData(9); infinity=InvData(13); isEsti=isnan(InvData(5));

if isEsti == 0; % if this is used for numerical solution
    theta=VarData(7);
    xiUI = VarData(8); bUI = xiUI*w; % warum wird nicht direkt bUI bergeben?
    if InvData(17) < 2;
        xiUA = InvData(16); bUA = xiUA*w; % warum wird nicht direkt bUA bergeben?
    else
        bUA = VarData(11);
    end;
else % this is used for estimation
    bUI=InvData(6); bUA=InvData(7); theta=InvData(10);
end;

dmx=[bUI,bUA,sBar];

% optinons for "ode45" and "fzero"
    opt_ode=odeset('RelTol',1e-7,'AbsTol',1e-10); opt_fzero=[]; 
    
% timeline and iteration defaults for checking pointwise convergence of the path
    s_nods=(1:1:36); MaxPathIter=20; TolPathIter=1e-004;
    
% starting value for the solution of the optimal effort path
    sole_sp=[];
    if bUA>1; phialpha_old=[s_nods',1.25*ones(cols(s_nods),1)]; else phialpha_old=[s_nods',3.00*ones(cols(s_nods),1)]; end;

    for j=1:MaxPathIter;
        [phialpha_new,sole_sp_new,V_bUI_0,VbUI_p,VbUA_p,Vw]=det_V_bUA(s_nods,w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,opt_ode,opt_fzero,InvData);
        
        phialpha_diff=phialpha_new(:,2)-phialpha_old(:,2); z=abs(phialpha_diff)>TolPathIter;
        if sum(z)==0;
            sole_sp_fin=sole_sp_new; break;
        else
            phialpha_old=phialpha_new; sole_sp=sole_sp_new;
        end;
    end;
    
    if j==MaxPathIter; sole_sp_fin=sole_sp_new; disp('exit after MaxPathIter'); end;
    
    pInfinity=(eta(infinity,x,theta,sole_sp_fin,dmx)-eta0)/(eta1-eta0);

end
