function res = block2(y,InvData,VarData,K)
                        
% equation system solved for wk and theta

fastSolution = 0; % 0: explicit solution 1: fast solution

% variables
    VarData(1,1:K) = y(1:K); % wage goes to VarData row 1
    VarData(7,1:K) = y(K+1:2*K); % theta goes to VarData row 7

% paras
    a = VarData(2,:);
    w = y(1:K);

% solve K times block 1
    if fastSolution == 0
        [employmentVector,UshortVector,UlongVector,mueIniVector,effortIniVector,mueBarVector] = KtimesBlock1(InvData,VarData,K);
    else
        disp('block2: this is a fast solution - no true solution!! <<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<')
        load PRSS
    end
    
% compute tax rate kappa
    xiUA = InvData(16); xiUI = VarData(8);
    kappa = taxrate(w,employmentVector,xiUI,UshortVector,xiUA,UlongVector);

% more paras
    lambda = VarData(6,:); xiUI = VarData(8,:);
    sigma = InvData(2); rho = InvData(3); beta = InvData(5);
    gamma = VarData(10,1:K);
    theta = y(K+1:2*K);

% wage function (see the referees' appendix for a derivation)
    m_w = (1+lambda.*xiUI.^(1-sigma)./(rho+mueIniVector)).*w.^(-sigma);
    bUI = xiUI.*w;
    J = (a - w/(1-kappa))./(rho + lambda); % vector with all the J_k
    resWage = (1-beta)/beta * (u(w,sigma)-u(bUI,sigma)+effortIniVector) + m_w.*(w-(1-kappa).*(a+J.*mueIniVector));
    
% computing theta
    resTheta = gamma .* theta ./ mueBarVector - J;

% residuum    
    res = [resWage, resTheta];
    
end