function res = det_V_bUA_back(V_bUA_ini,w,theta,x,dmx,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,infinity,options,InvData)
                                                      
    % extract parameters from imported data
        sbar=dmx(3);
        
    % compute V(b(0),0) as implied by guess for V_bUA
        [V_b_0,Vw]=implied(V_bUA_ini,w,theta,x,dmx,InvData);
        
    % solve ODE system in V(b(s),s) and p(s) backwards for V_bUA_ini
    if isnan(sbar)==0;       
        % solve from infinity to sBar        
            VbUA=ode45(@Vp,[infinity,sbar],V_bUA_ini,options,x,Vw,w,theta,dmx,2,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,InvData);
    
        % evaluate the solution of the differential equation at sBar
            V_sbar=deval(VbUA,sbar);     % fprintf('V(sbar): %g, p(sbar): %g\n',V_p_sbar(1),V_p_sbar(2));
            
        % solve from sBar to zero
            VbUI=ode45(@Vp,[sbar,0],V_sbar,options,x,Vw,w,theta,dmx,1,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,InvData);
            
        % evaluate the solution of the differential equation at s=0
            VbUx_0=deval(VbUI,0);            % fprintf('V_bUI(0): %g, p(0): %g\n',VbUx_p_0(1),VbUx_p_0(2));
    else
        % solve from infinity to zero
            VbUA=ode45(@Vp,[infinity,0],V_bUA_ini,options,x,Vw,w,theta,dmx,2,sole_sp,ins_Vb1s,ins_Vb2s,ins_Vw,InvData);
            
        % evaluate the solution of the differential equation at s=0
            VbUx_0=deval(VbUA,0);
    end;
    
    % residuum should be zero, i.e. solution at 0 for V(bUI,0) should equal V_b_0
        res = VbUx_0(1)-V_b_0;
        
    % fprintf('residuum in det_V_bUA is %g\n',res)
end