function eff = effort(p_s,InvData,Vw,Vb_s,VarData,month)
                   % (p_s,InvData,Vw,Vb_s,VarData)            
% This function computes the optimal search effort for given input values
    
% paras
    eta0 = VarData(4); eta1 = VarData(5); 
    alpha = InvData(1); theta = VarData(7); sBar = VarData(9);
    
% effort function    
    if Vw < Vb_s
        eff = 0;
    else
        
        if month > sBar
            psi_s = InvData(19);
        else
            psi_s = InvData(18);
        end
        
        eta_s=(1-p_s)*eta0+p_s*eta1;
        eff = (alpha.*eta_s*psi_s.*(theta^alpha).*(Vw-Vb_s)).^(1/(1-alpha));
    end
end