%% Hartz III net of growth
% parametrs from the pre-reform steady state
    clear; load GE_H34_1076_1230_net;
% starting
    tic;
    for k = 1:K; fprintf('graw_solve_GE: productivity of skill-type %g: %g and cost of vacancy: %g\n',k, VarData(2,k),gamma(k)); end;
    
%% search for GE
% psi
    disp(InvData(3)); disp(InvData(18:19));
    
    A = VarData(2,:);
% initial contidiotns
    wage0 = VarData(1,1:K); theta0 = VarData(7,1:K); y0 = [wage0,theta0];
% flags
	AwFlag = 2; % block 2 is solved for wk theta and kappa
    ChoiceVarData = 1; % 1 - gives the real variable data, 2 - data for testing the monotonicity
    
    VarData(8,:) = VarData(8,:) .* [.99 .99 .99 .99 .99 .99];
    InvData(17) = 2; % take direct reduction due to Hartz IV as specified above through setting the 'round' value = 2
    
% start fsolve
    matlabpool open local 6;
    [wTheta,preci,exitflagBlock2] = fsolve('block2',y0,optimset('Display','iter'),InvData,VarData,K);
    matlabpool close;
    
    wage = wTheta(1:K);     theta = wTheta(K+1:2*K); 
    VarData(1,1:K) = wage;  VarData(7,1:K) = theta; % save results in VarData such that it is used e.g. in block 1 below
    
    disp('GE solved for Hartz III + 1 month extension');
    for k = 1:K; fprintf('solve_GE: wage of worker-type k = %g (at productivity: %g)\n', wage(k),VarData(2,k)); end;
    fprintf('solve_GE: tightness (theta): %g\n', theta);    disp(' ');
    fprintf('solve_GE: precision of fsolve: %g\n',preci);   disp(' ');
    fprintf('exitflag of block2: %g\n',exitflagBlock2);     disp(' ');
    
% compute corresponding block 1 values    
    [employmentVector,UshortVector,UlongVector,mueIniVector,effortIniVector,mueBarVector,V0,Vbs,Vw,EU] = KtimesBlock1(InvData,VarData,K);

% complete block 2
    lambda = VarData(6,:); xiUI = VarData(8); xiUA = InvData(16);
    
    kappa = taxrate(wage,employmentVector,xiUI,UshortVector,xiUA,UlongVector);	disp('kappa');  disp(kappa);    
    J = (A - wage/(1-kappa))./(rho + lambda);                                   disp('J');      disp(J);
        
% save all
	save elasticity_bUI; clear;
    
% get the basis value
    load GE_H34_1076_1230_net;
    matlabpool open local 6;
    [~,~,~,~,~,mueBarVector0] = KtimesBlock1(InvData,VarData,K);
    matlabpool close;
    
% compute the elasitcity
    load elasticity_bUI;
    weight=VarData(3,:)/sum(VarData(3,:)); elasticity_bUI=100*((mueBarVector-mueBarVector0)./mueBarVector0)*weight';
    save('elasticity_bUI.mat','mueBarVector','mueBarVector0','elasticity_bUI','weight');
    clear;
    
    diary ('elasticity_ExitRate_bUI.txt'); diary on;  
    clc; load elasticity_bUI; disp(' '); disp('elasticity with respect to the size of UI, (%):'); disp(elasticity_bUI);
    diary off;
