function mue_out = mu(p_s,InvData,Vw,Vb_s,VarData,subjective,month)

if isnan(month), error('month is NaN in mu.m'), end

if numel(InvData) < 2
    error('error in mu.m')
end

% paras
    eta0 = VarData(4); eta1 = VarData(5); sBar = VarData(9);
    alpha = InvData(1); theta = VarData(7);
    
% arrival rate
    if subjective == 2 % this is subjective arrival rate
        eta_s = (1-p_s) * eta0 + p_s * eta1;
    elseif subjective == 0||1 % this is true ("objective") arrival rate with subjective = 0 or 1
        eta_s = (1-subjective) * eta0 + subjective * eta1;
    else
        error('in mu.m')
    end
    
    if month > sBar
        psi_s = InvData(19);
    else
        psi_s = InvData(18);
    end
               
    mue_out = eta_s * psi_s * (effort(p_s,InvData,Vw,Vb_s,VarData,month)*theta)^alpha;        
    
end