function [mue,mue_int,mue_bar,Vbs,p,f,phi,mue0_0,mue1_0,s_avg]=muebar(VbUI,VbUA,Vw,sole_sp_fin,InvData,VarData)

% paras

    sBar = VarData(9);
    infinity = InvData(13); 
    
% translate into traditional jargon
    steps = infinity;
    h = 1;
    steps_sbar = sBar;
    
% Here we evaluate the solution of the differential equation Vb1s and Vb2s
% for the number of steps we chose at the beginning.
% j is the current vector position and it is computed by h*months    

        VbUI_0 = deval(VbUI,0); % computing V(b(0),0) = V(bUI,0)
        p_0 = ps_path(0,InvData,VarData,sole_sp_fin);        %   sole_sp_fin is phi^alpha

        % evaluate VbUI between [0,infinity] using #steps
            integer_steps_sbar = int16(steps_sbar); % first change 0ct 09 KW
            Vb1 = NaN(1,integer_steps_sbar); % preallocating memory
            pUI = NaN(1,integer_steps_sbar);
            
            for j = 1:steps_sbar
                aux = deval(VbUI,j*h);
                Vb1(j) = aux;
                pUI(j) = ps_path(j*h,InvData,VarData,sole_sp_fin);
            end
            
            Vb2 = NaN(1,steps-steps_sbar-1); % preallocating memory
            pUA = NaN(1,steps-steps_sbar-1);
            
            for j2=steps_sbar+1:steps
                %j2
                aux=deval(VbUA,j2*h);
                integer_diff = int16(j2-steps_sbar); % change oct 09 KW
                Vb2(integer_diff)=aux;
                pUA(integer_diff) = ps_path(j2*h,InvData,VarData,sole_sp_fin);
            end

% Put the evaluated values of the differential equation system into the
% vectors Vbs and p
    Vbs = [Vb1 Vb2]; p = [pUI pUA]; 
     
% compute search effort phi and job arrival rates mue for #steps
    phi = NaN(1,steps); mue0 = NaN(1,steps); mue1 = NaN(1,steps); muep = NaN(1,steps); % preallocating memory
    for j=1:steps
        phi(j) = effort(p(j),InvData,Vw,Vbs(j),VarData,j); 
        mue0(j) = mu(p(j),InvData,Vw,Vbs(j),VarData,0,j); % true exit rate low productivity searchers
        mue1(j) = mu(p(j),InvData,Vw,Vbs(j),VarData,1,j); % true exit rate high productivity searchers
        muep(j) = mu(p(j),InvData,Vw,Vbs(j),VarData,2,j); % subjective exit rate 
    end
    
    mue = [mue0; mue1; muep]; % 3 by something matrix with true and perceived exit rates
     

%% compute mue_bar

% Compute initial values (i.e. s = 0) search effort and job arrival rate for Semi-Markov Algo
    month = 1;
    mue0_0 =  mu(p_0,InvData,Vw,VbUI_0,VarData,0,month); 
    mue1_0 =  mu(p_0,InvData,Vw,VbUI_0,VarData,1,month);

% compute mean and integral
    [mue_int0, mue_bar0, f0, s_avg0] = densityProperties(mue0_0,mue0,InvData); % for low productivity individuals
    [mue_int1, mue_bar1, f1, s_avg1] = densityProperties(mue1_0,mue1,InvData); % for high productivity individuals

    mue_int = [mue_int0; mue_int1];
    mue_bar = [mue_bar0; mue_bar1];
    f = [f0; f1];
    s_avg = [s_avg0; s_avg1];
    
end