function welf = welfare(InvData,VarData_k,f,Vbs,Vw,Unempl)

% paras
    infinity = InvData(13); N = VarData_k(3); sbar = VarData_k(9) ; 
    
% employment    
    L = N - Unempl;

% Welfare of the short-term unemployed. Integrate duration density for s
% multiplied by value of the unemployed at s numerically (trapeze method)
    V1_int = Vbs(1)*f(1); % initialize
    for j = 2:sbar;
        V1_int = V1_int+.5*(Vbs(j-1)*f(j-1)+Vbs(j)*f(j));
    end;

% Welfare of the long-term unemployed who have changing values of 
% unemployment due to the stigma effect. Integrate as before
	V2_int = 0.5  * (Vbs(sbar)*f(sbar)+Vbs(sbar+1)*f(sbar+1)); % initialize
    for j = sbar+2:infinity;
        V2_int = V2_int + .5*(Vbs(j-1)*f(j-1)+Vbs(j)*f(j));    
    end;

% Share of unemployed with variable value of unemployment (i.e. before
% tauMax or #steps)
    f_int = f(1);
    for j = 2:infinity;
        f_int = f_int+.5*(f(j-1)+f(j));
    end;
    
% we assume that from tauMax on (or after #steps), the value of
% unemployment is constant as search effort and stigma are constant from 
% then on -> share of long-term unemployed with constant value: 1-f_int.
% -> Welfare of the long-term unemployed with constant value:
    Vconst = (1-f_int).*Vbs(infinity);

% social welfare function
   welf = L.*Vw + (N-L).*(V1_int + V2_int + Vconst);
end